Bug 441338 - gdm misbehaves when gnome-session isn't installed
gdm misbehaves when gnome-session isn't installed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
i386 Linux
low Severity high
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 13:02 EDT by Stefan Becker
Modified: 2015-01-14 18:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 11:50:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Becker 2008-04-07 13:02:11 EDT
Description of problem:

I have installed my system by deselecting GNOME desktop, ie. only KDE is
installed. Here is what I see:

- select a user in gdm: session button is empty, although KDE session is
available on the system

- login, gdm disappears, session doesn't come up, BUT X server stays up on vt7!

- gdm log file has a warning about "Default session not found"

- gdm restarts, detects X on vt7, starts new X server on vt8 (and here my system
goes into hard-lock after some seconds, but that might be a problem of the
xorg-x11-drv-ati...)


If I install "gnome-session" by hand login starts to work. The session button
now shows GNOME & KDE when you enter a user name. You can now successfully
startup a KDE session.

Wild guess: KDE session is symbolic link:

lrwxrwxrwx 1 root root   45 2008-04-04 22:30 kde.desktop ->
/usr/share/kde4/apps/kdm/sessions/kde.desktop

Maybe gdm doesn't like it that it only finds a symbolic link...



Version-Release number of selected component (if applicable):
gdm-2.21.10-0.2008.04.07.1.fc9.i386
gnome-session-2.22.0-2.fc9.i386
Comment 1 Matthias Clasen 2008-04-08 11:50:35 EDT
This should be fixed as of last nights gdm build:

* Mon Apr 07 2008 Ray Strode <rstrode@redhat.com> - 1:2.21.10-0.2008.04.07.3
- Disable image for automatic login and other user
- Act more sanely if gnome isn't installed
Comment 2 Stefan Becker 2008-04-08 12:46:10 EDT
Confirmed, gdm works OK now. Thanks.

Note You need to log in before you can comment on or make changes to this bug.